Subject: Participation Agreement w/ENA Upstream
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 1 Aug 2001 15:15:11 -0700 (PDT)

Chuck -

As we discusssed, attached is a marked version of the Participation Agreement which I have marked with some comments.  Though I understand that we have existing agreements with ICE that were pretty much unchanged I was not involved in the original discussions relating to these agreements.  I also understand the message you left relating to the reluctance of ICE to modify the agreement.  I only ask that you review the attached and let me know your thoughts.

Thanks for the cooperation and time.

Mark